//$.bp()
mySelection = activeDocument.selection;
function defWidth(obj){
 if(obj.typename=='GroupItem'){
  width=0;
  if(obj.clipped){
   width=obj.pageItems[0].width;
  }else if(obj.groupItems.length>0){
   width=rightSide(obj)-leftSide(obj);
  }else{
   width=obj.width;
  }
 }else{
  width=obj.width;
 }
 return width;
}
function rightSide(obj){
 if(obj.typename=='GroupItem'){
  right=obj.position[0];
  if(obj.clipped){
   right=obj.pageItems[0].position[0]+obj.pageItems[0].width;
  }else if(obj.groupItems.length>0){
  for(a=0;a<obj.groupItems.length;a++){
   objIn=obj.groupItems[a];
   if(objIn.clipped){
    ri=objIn.pageItems[0].position[0]+objIn.pageItems[0].width;
   }else{
    ri=rightSide(objIn)
   }
   if(ri>right){
    right=ri
   }
  }
  }else{
   right=obj.position[0]+obj.width;
  }
 }else{
  right=obj.position[0]+obj.width;
 }
 return right;
}
function leftSide(obj){
 if(obj.typename=='GroupItem'){
  left=obj.position[0]+obj.width;
  if(obj.clipped){
   left=obj.pageItems[0].position[0];
  }else if(obj.groupItems.length>0){
   for(a=0;a<obj.groupItems.length;a++){
    objIn=obj.groupItems[a];
    if(objIn.clipped){
     le=objIn.pageItems[0].position[0];
    }else{
     le=leftSide(objIn);
    }
    if(le<left){
     left=le
    }
   }
  }else{
   left=obj.position[0];
  }
 }else{
  left=obj.position[0];
 }
 return left;
}
function positionLeft(a,b){
 return leftSide(a)-leftSide(b);
}
function positionRight(a,b){
 return rightSide(b)-rightSide(a);
}

if (mySelection.length>0){
 if (mySelection instanceof Array){
  ObjArr=new Array();
  ObjArr=mySelection;
  ObjArr.sort(positionRight);
  second=ObjArr[0];
  ObjArr.sort(positionLeft);
  first=ObjArr[0];
  len=leftSide(second)-rightSide(first);
  SumWidths=0;
  for(i=0;i<ObjArr.length;i++){
   if((ObjArr[i]!=first)&&(ObjArr[i]!=second)){
    SumWidths+=defWidth(ObjArr[i]);
   }
  }
  otr=(len-SumWidths)/(ObjArr.length-1);
  for(i=1;i<(ObjArr.length);i++){
   if((ObjArr[i]!=first)&&(ObjArr[i]!=second)){
    difr=leftSide(ObjArr[i])-ObjArr[i].position[0];
    q=i
    if(ObjArr[i-1]==second){
     q--;
    }
    ObjArr[i].position=Array((rightSide(ObjArr[q-1])+(otr-difr)),(ObjArr[i].position[1]));
   }
  }
 }
}